Changelog
06 September 2022
Documentation changes
- Implemenation on refund amounts on bet refund calls.
- Added transaction data on wallet on-demands calls.
31 August 2022
Documentation changes
- Partial accept implementation on confirm request.
- Updated request body to include the partially refunded amount:
- Added expected error responses to following endpoints:
/v1/debitFunds/v1/confirm/v1/refundFunds/v1/settle
3 August 2022
- Events have been added.
- Introduction has included an example of firing a custom event and
prepareHeaders. Removed onBetFailure as it is now available in an event.
18 July 2022
Documentation changes
- Sample Bet Types have been added in.
- Added versioning requirements from endpoints.
- Updated request body to include user details on the following endpoints:
/v1/debitFunds/v1/confirm/v1/refundFunds/v1/settle
- Added notes on how to perform common calculations.
13 July 2022
Breaking changes
- The racebook widget has been redesigned to meet the design guidelines.
- The betslip widget betslip has been redesigned.
- There is a new next to jump ticker widget available in the widget library.
- Scratching deductions are now available.
- Exotic resulting is now available.
- Bet types have been filtered out to available pools on the race.
- Racing fixed/tote betting has been improved from a UX and UI perspective.
- Exotic betting has been improved from a UX and UI perspective.
Documentation changes
- Added flow diagram for wallet integration.
- Updated wallet integration to include Wallet to BetMakers Integration and Widget to BetMakers Integration.
- Updated property
wagerData to betData on PUT /debitFunds endpoint. - Removed property
betDirectorTransactionId on PUT /debutFunds and PUT /confirm/{wallet-transaction-id} endpoint. - Updated property
betDirectorTicketId to ticketId on:PUT /confirm/{wallet-transaction-id}PUT /refundFunds/{wallet-transaction-id}PUT /settle/{wallet-transaction-id}PUT /cancel
- Simplified the integration by removing internal options and parameters.
- Included utility classes in the CSS.
- Added example of the
.bm-next_to_jump_ticker above the Racebook. - Added explanation of the
.bm-next_to_jump_ticker in widgets.